PATCH
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/receiveConfirmation2609170000Check the receipt of exchange-requested product
# 01
Summary
Check the receipt of exchange-requested product
# 02
Details
Available buyer market: Korean Taiwan
After receiving a product returned from the customer, a seller uses this API to update the status to Exchange Product Received.
Path
PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/receiveConfirmation
Example endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/exchangeRequests/40362/receiveConfirmationURL API Name
CONFIRM_EXCHANGE_REQUEST
# 03
Path parameters
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Seller ID Unique code issued to Vendor by Coupang ex) A00012345 |
| exchangeId* | number | exchange receipt ID
|
# 04
Request body
Request parameters
Body parameter
| Name | Type | Description |
|---|---|---|
| exchangeId* | integer | exchange receipt ID
|
| vendorId* | string | Seller ID Unique code issued to Vendor by Coupang ex) A00012345 |
Request exampleapplication/json
{
"exchangeId": 40362,
"vendorId": "A00012345"
}# 05
Response body
Response message
| Name | Type | Description |
|---|---|---|
| code | string | Result code
|
| message | string | Message
|
Response Example
{
"code": "200",
"message": "SUCCESS"
}# 06
Error codes
| HTTP | Code | Message |
|---|---|---|
| -- | ||